﻿<ui:PopUpUserControl
    xmlns:ui="clr-namespace:Appli.Model.Class.UI"
    x:Class="Appli.Views.PopUp.RowForm"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:Appli.Views.PopUp"
      xmlns:converters="clr-namespace:Appli.Model.Class.Converters"
      MinWidth="300"
      MinHeight="300"
      DataContext="{Binding RelativeSource={RelativeSource Self}}"
      Background="#303030"
      mc:Ignorable="d" >

    <Grid Margin="10">
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <StackPanel Grid.Row="0" Orientation="Vertical" Margin="10" >
            <TextBox x:Name="RowName" Text="{Binding Row.Name}" IsReadOnly="True" Margin="0 10" materialDesign:HintAssist.Hint="Nom" Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" BorderBrush="White" />
            <TextBox x:Name="RowRowWidth" Text="{Binding Row.Width}" Margin="0 10" materialDesign:HintAssist.Hint="Largeur" Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" BorderBrush="White" />
        </StackPanel>
        <GroupBox Grid.Row="1" x:Name="GbErrors" Header="Erreur" Background="White" Visibility="{Binding ThereAreErrors, Converter={converters:BoolToVisibilityConverter}}">
            <TextBlock x:Name="TbErrors" Foreground="Red" Text="{Binding Errors}"/>
        </GroupBox>
        <StackPanel Grid.Row="2" Orientation="Horizontal" Margin="0 10">
            <Button x:Name="BtnSave" Style="{DynamicResource MaterialDesignRaisedAccentButton}" Click="BtnSave_Click" Margin="0 0 10 0">Enregistrer</Button>
            <Button x:Name="BtnDelete" Style="{DynamicResource MaterialDesignRaisedButton}" Click="BtnDelete_Click" Margin="0 0 10 0">Supprimer</Button>
            <Button x:Name="BtnCancel" Style="{DynamicResource MaterialDesignRaisedLightButton}" Click="BtnCancel_Click">Annuler</Button>
        </StackPanel>
    </Grid>
</ui:PopUpUserControl>
